%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		xfce4-dev-tools
Version:	4.16.0
Release:	%mkrel 1
Summary:	Xfce developer tools
License:	GPLv2+
Group:		Development/Other
URL:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
Source10:	macros.xfce4
BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0)
Requires:	intltool
Requires:	gettext-devel
Requires:	gtk-doc

%description
This package contains common tools required by Xfce developers and people
that want to build Xfce from GIT. In addition, this package contains the
Xfce developer's handbook.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

# rpm helper macros
install -Dpm644 %{_sourcedir}/macros.xfce4 %{buildroot}%{_rpmmacrodir}/macros.xfce4

%files
%doc AUTHORS ChangeLog HACKING NEWS README*
%{_bindir}/*
%{_mandir}/man1/xdt-csource.1*
%{_datadir}/aclocal/*.m4
%{_rpmmacrodir}/macros.xfce4


%changelog
* Wed Dec 23 2020 wally <wally> 4.16.0-1.mga8
+ Revision: 1663168
- new version 4.16.0

* Wed Nov 04 2020 wally <wally> 4.15.1-1.mga8
+ Revision: 1642618
- new version 4.15.1

* Thu Jun 25 2020 wally <wally> 4.15.0-1.mga8
+ Revision: 1599298
- new version 4.15.0

* Tue Feb 18 2020 umeabot <umeabot> 4.14.0-3.mga8
+ Revision: 1541815
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jan 02 2020 wally <wally> 4.14.0-2.mga8
+ Revision: 1475495
- move rpm macros to /usr/lib/rpm/macros.d/
- replace deprecated %%makeinstall_std

* Sun Aug 11 2019 wally <wally> 4.14.0-1.mga8
+ Revision: 1428777
- new version 4.14.0

* Sat Jun 29 2019 wally <wally> 4.13.0-1.mga8
+ Revision: 1415583
- new version 4.13.0

* Sun Sep 23 2018 umeabot <umeabot> 4.12.0-3.mga7
+ Revision: 1301855
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 4.12.0-2.mga6
+ Revision: 952427
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 wally <wally> 4.12.0-1.mga5
+ Revision: 817387
- new version 4.12.0
- create m4 dir with %%xdt_autogen macro

* Wed Oct 15 2014 umeabot <umeabot> 4.11.0-3.mga5
+ Revision: 745127
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.11.0-2.mga5
+ Revision: 690606
- Mageia 5 Mass Rebuild

* Sun Feb 23 2014 wally <wally> 4.11.0-1.mga5
+ Revision: 595887
- new version 4.11.0

* Sat Oct 19 2013 umeabot <umeabot> 4.10.0-6.mga4
+ Revision: 528475
- Mageia 4 Mass Rebuild

* Thu Jun 20 2013 wally <wally> 4.10.0-5.mga4
+ Revision: 445239
- add rpm macro for xdt-autogen

* Mon Jan 14 2013 umeabot <umeabot> 4.10.0-4.mga3
+ Revision: 386803
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 29 2012 wally <wally> 4.10.0-3.mga3
+ Revision: 249404
- require gtk-doc

* Tue May 29 2012 wally <wally> 4.10.0-2.mga3
+ Revision: 249268
- require gettext-devel

* Mon May 28 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 248388
- new version 4.10.0

* Mon Jan 16 2012 wally <wally> 4.9.1-1.mga2
+ Revision: 196901
- new version 4.9.1
- drop old obsoletes/provides

* Sun Jan 15 2012 kamil <kamil> 4.9.0-1.mga2
+ Revision: 196213
- add pkgconfig(glib-2.0) to BR
- remove 'noarch' buildarch tag
- new version 4.9.0
- clean spec

* Thu Jan 27 2011 ahmad <ahmad> 4.8.0-1.mga1
+ Revision: 41556
- imported package xfce4-dev-tools


* Mon Jan 17 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.8.0-1mdv2011.0
+ Revision: 631317
- update to new version 4.8.0

* Thu Jan 06 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.4-1mdv2011.0
+ Revision: 629088
- update to new version 4.7.4

* Sun Oct 31 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.3-1mdv2011.0
+ Revision: 591154
- update to new version 4.7.3

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.2-3mdv2010.1
+ Revision: 543292
- rebuild for mdv 2010.1

* Tue Oct 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.2-2mdv2010.0
+ Revision: 455043
- adapt to new URL schemas for Xfce sources

* Tue Sep 22 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.2-1mdv2010.0
+ Revision: 447445
- update to new version 4.7.2

* Mon Aug 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.0-2mdv2010.0
+ Revision: 420551
- update to new version 4.7.0

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-2mdv2009.1
+ Revision: 349196
- rebuild whole xfce

* Fri Feb 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-1mdv2009.1
+ Revision: 345490
- update to new version 4.6.0

* Mon Jan 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.99.1-1mdv2009.1
+ Revision: 333830
- update to new version 4.5.99.1

* Wed Jan 14 2009 Jérôme Soyer <saispo@mandriva.org> 4.5.93-1mdv2009.1
+ Revision: 329460
- New upstream release

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - add full path for the Source0

* Sat Nov 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-1mdv2009.1
+ Revision: 303452
- update to new version 4.5.92 (Xfce 4.6 Beta 2 Hopper)

* Wed Oct 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-1mdv2009.1
+ Revision: 294005
- Xfce4.6 beta1 is landing on cooker

* Wed Aug 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.0.1-5mdv2009.0
+ Revision: 274086
- require intltool

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 4.4.0.1-4mdv2009.0
+ Revision: 262356
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 4.4.0.1-3mdv2009.0
+ Revision: 256862
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Nov 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.0.1-1mdv2008.1
+ Revision: 109941
- new version
- do not package COPYING file
- spec file clean

* Sat Nov 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.0-4mdv2008.1
+ Revision: 109706
- obsolete older release
- use upstream name
- new license policy
- use upstream tarball name as a real name

* Tue Sep 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.0-3mdv2008.0
+ Revision: 89927
- this package is now noarch, as it is containing only text scripts and files

* Tue May 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.0-2mdv2008.0
+ Revision: 32337
- use macros
- spec file clean

